Table of Contents

Class: coverage | eric3/Debugger/PyCoverage.py
--- | ---

Methods |
--- | ---

__init__ analysis analyze_morf annotate canonical_filename canonicalize_filenames command_line erase find_statement find_statements | format_lines help morf_filename morf_name report restore save start stop

| __init__

    __init__ ( self,  basename=None )

| analysis

    analysis ( self,  morf )

| analyze_morf

    analyze_morf ( self,  morf )

Exceptions |
--- | ---
self.error, "File '%s' not Python source." % filename self.error, ( "No source for compiled code '%s'." % filename )

| annotate

    annotate (
            self,
            morfs,
            directory=None,
            ignore_errors=0,
            )

| canonical_filename

    canonical_filename ( self,  filename )

| canonicalize_filenames

    canonicalize_filenames ( self )

| command_line

    command_line ( self )

| erase

    erase ( self )

| find_statement

    find_statement (
            self,
            tree,
            dict,
            )

| find_statements

    find_statements (
            self,
            tree,
            dict,
            )

| format_lines

    format_lines (
            self,
            statements,
            lines,
            )

| help

    help ( self,  error=None )

| morf_filename

    morf_filename ( self,  morf )

Exceptions |
--- | ---
self.error, "Module has no __file__ attribute."

| morf_name

    morf_name ( self,  morf )

| report

    report (
            self,
            morfs,
            show_missing=1,
            ignore_errors=0,
            )

| restore

    restore ( self )

| save

    save ( self )

| start

    start ( self )

| stop

    stop ( self )

Table of Contents

This document was automatically generated by HappyDoc version 2.1